Bug 192123 - [patch] multimedia/zoneminder: Enable STAGE support
[patch] multimedia/zoneminder: Enable STAGE support
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: --- Affects Many People
Assigned To: G. Paul Ziemba
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-07-25 23:04 UTC by G. Paul Ziemba
Modified: 2014-08-31 09:43 UTC (History)
3 users (show)

See Also:


Attachments
Patch to add STAGE support (12.18 KB, patch)
2014-07-25 23:04 UTC, G. Paul Ziemba
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description G. Paul Ziemba 2014-07-25 23:04:39 UTC
Created attachment 144985 [details]
Patch to add STAGE support

Add STAGE support. Also a few compilation fixes for 10.x.

Tested with "poudriere testport"
Comment 1 Kurt Jaeger freebsd_committer 2014-07-26 19:51:29 UTC
Do you know why it requires a setuid file zmfix ?
Comment 2 commit-hook freebsd_committer 2014-07-26 20:07:33 UTC
A commit references this bug:

Author: pi
Date: Sat Jul 26 20:06:42 UTC 2014
New revision: 362985
URL: http://svnweb.freebsd.org/changeset/ports/362985

Log:
  multimedia/zoneminder: STAGE support and compilation fixes for 10.x.

  PR:		192123
  Submitted by:	p-fbsd-bugs@ziemba.us (G. Paul Ziemba)

Changes:
  head/multimedia/zoneminder/Makefile
  head/multimedia/zoneminder/files/patch-Makefile.in
  head/multimedia/zoneminder/files/patch-src_zm_comms.h
  head/multimedia/zoneminder/files/patch-src_zm_logger.cpp
  head/multimedia/zoneminder/files/patch-src_zm_remote_camera.h
  head/multimedia/zoneminder/pkg-plist
Comment 3 Kurt Jaeger freebsd_committer 2014-07-26 20:08:41 UTC
Comitted, thanks.

Would you be willing to become the official maintainer for that port ?
Comment 4 Kurt Jaeger freebsd_committer 2014-07-26 20:09:48 UTC
And: can You find out why files/patch-src_zm_event.cpp has ^M-characters ?

Can you try to get those fixed upstream ?
Comment 6 G. Paul Ziemba 2014-07-27 06:12:46 UTC
The errors in the log from HEAD look like the same missing "#include <unistd.h>" sorts of errors I fixed for 10.x. It will take me a few days to set up a HEAD vm (have to download + interleave with other work) but I might be able to produce a patch just by logfile inspection in the meantime.

My only familiarity with zoneminder is as a user for about eight months, sooo... yes, I am willing to take on maintainership if nobody else wants it (one-eyed man in the land of the blind, etc.)

Don't know why zmfix needs to be setuid; will investigate as time permits.

Weird about the ^Ms in zm_event.cpp. Will see if they are still present in 1.27 and pester upstream if so.
Comment 7 kairu0 2014-07-28 02:36:15 UTC
Zoneminder port 1.25.0_3 could compile with graphics/libjpeg-turbo. Port 1.25.0_4 seems to explicitely require graphics/libjpeg. Is it possible to omit graphics/libjpeg again when graphics/libjpeg-turbo is already installed? (Or better yet, prefer graphics/libjpeg-turbo in make.conf?)
Comment 8 Kurt Jaeger freebsd_committer 2014-07-28 05:33:56 UTC
Thanks for the pointer to libjpeg-turbo. I don't know how to achieve this (preference of -turbo over the generic one), and I'll ask around. Any hint is very much appreciated!
Comment 9 kairu0 2014-07-28 05:46:11 UTC
(In reply to Kurt Jaeger from comment #8)
> Thanks for the pointer to libjpeg-turbo. I don't know how to achieve this
> (preference of -turbo over the generic one), and I'll ask around. Any hint
> is very much appreciated!

I actually don't have the answer either. As a short-term hack, I edited the Makefile to point to "graphics/libjpeg-turbo", compiled, and am running now without any issue.
Comment 10 G. Paul Ziemba 2014-08-02 07:10:44 UTC
(In reply to Kurt Jaeger from comment #5)
> Can you also test on HEAD ?
> 
> It still fails to build there:
> https://jenkins.freebsd.org/pci/head-amd64/poudriere/data/headamd64-default/
> 362985/logs/errors/zoneminder-1.25.0_4.log
> https://jenkins.freebsd.org/pci/head-i386/poudriere/data/headi386-default/
> 362985/logs/errors/zoneminder-1.25.0_4.log

It looks as if files/patch-src_zm_thread.h (part of the patch I submitted) did not get committed.
Comment 11 G. Paul Ziemba 2014-08-02 07:35:44 UTC
(In reply to Kurt Jaeger from comment #4)
> And: can You find out why files/patch-src_zm_event.cpp has ^M-characters ?
> 
> Can you try to get those fixed upstream ?

Just checked ZoneMinder-1.27.0. src/zm_event.cpp in that version does not have ^Ms
Comment 12 commit-hook freebsd_committer 2014-08-02 09:11:36 UTC
A commit references this bug:

Author: pi
Date: Sat Aug  2 09:10:34 UTC 2014
New revision: 363800
URL: http://svnweb.freebsd.org/changeset/ports/363800

Log:
  multimedia/zoneminder: add missing files/patch-src_zm_thread.h

  patch-src_zm_thread.h fixes the break on HEAD

  PR:		192123
  Submitted by:	p-fbsd-bugs@ziemba.us

Changes:
  head/multimedia/zoneminder/files/patch-src_zm_thread.h
Comment 13 Kurt Jaeger freebsd_committer 2014-08-02 09:13:42 UTC
Added the missing file, sorry about that.

Are you planing to provide an update to 1.27 ? And becoming the maintainer 8-) ?
Comment 14 G. Paul Ziemba 2014-08-03 18:49:22 UTC
(In reply to Kurt Jaeger from comment #13)
> Are you planing to provide an update to 1.27 ? And becoming the maintainer
> 8-) ?

I see in <a href=https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=190268>bug 190268</a> that pakhom is working on 1.27 and has requested maintainership, so I'll stand back.
Comment 15 John Marino freebsd_committer 2014-08-31 09:43:34 UTC
This looks finished to me.